__gnu_pbds::detail::pat_trie_base::_Leaf< _ATraits, Metadata >(3cxx)

NAME
__gnu_pbds::detail::pat_trie_base::_Leaf< _ATraits, Metadata > - Leaf node for PATRICIA tree.

SYNOPSIS

#include <pat_trie_base.hpp>

Inherits __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >.

  Public Types

typedef _ATraits::const_iterator a_const_iterator
typedef detail::rebind_traits< _Alloc, _ATraits >::const_pointer a_const_pointer
typedef _ATraits access_traits
typedef _Alloc allocator_type
typedef _Node_base< _ATraits, Metadata > base_type
typedef type_traits::const_reference const_reference
typedef detail::rebind_traits< _Alloc, _Node_base >::pointer node_pointer
typedef type_traits::reference reference
typedef base_type::type_traits type_traits
typedef type_traits::value_type value_type

  Public Member Functions

_Leaf (const_reference other)
reference value ()
const_reference value () const

  Public Attributes

node_pointer m_p_parent
const node_type m_type

Detailed Description

  template<typename _ATraits, typename Metadata>
struct __gnu_pbds::detail::pat_trie_base::_Leaf< _ATraits, Metadata >"Leaf node for PATRICIA tree.

Author

Generated automatically by Doxygen for libstdc++ from the source code.